Summary:   A 3-D graphics library with an API very similar to OpenGL.
Name:      Mesa 
Version:   3.0
Release:   2
Copyright: GPL
Group:     Libraries
Source0:   ftp://iris.ssec.wisc.edu/pub/Mesa/MesaLib-3.0.tar.gz
Source1:   ftp://iris.ssec.wisc.edu/pub/Mesa/MesaDemos-3.0.tar.gz
Patch0:    Mesa-3.0-rh.patch
URL:       http://www.ssec.wisc.edu/~brianp/Mesa.html
BuildRoot: /var/tmp/mesa-root

%description
The Mesa 3-D graphics library is a powerful and generic toolset
for creating hardware assisted computer graphics.  To the extent that Mesa
utilizes the OpenGL command syntax or state machine, it is being used with
authorization from Silicon Graphics, Inc.  However, the author (Brian Paul)
makes no claim that Mesa is in any way a compatible replacement for OpenGL
or associated with Silicon Graphics, Inc. Those who want a licensed
implementation of OpenGL should contact a licensed vendor.  However, Mesa is
very similar to OpenGL, and you might find Mesa to be a valid alternative to
OpenGL.

%package devel
Summary: The development environment for the Mesa 3-D graphics library.
Group: Developments/Libraries

%description devel
Mesa-devel contains the static version of the Mesa 3-D graphics
library (a graphics toolkit very similar to Silicon Graphics' OpenGL
graphics utilities toolkit) and includes files needed for development. If
you're going to develop Mesa applications, you'll need to install mesa-devel
along with mesa and possibly mesa-demos. If you're just going to use Mesa,
you don't need to install mesa-devel.


%package glut
Summary: The GLUT (OpenGL Utility Toolkit) library for Mesa/OpenGL 3-D graphics.
Group: X11/Libraries
Conflicts: glut

%description glut
Mesa-glut contains the GLUT (OpenGL Utility Toolkit) library.
GLUT is a window system independent toolkit for writing small to
medium-sized OpenGL programs.  OpenGL is a Silicon Graphics, Inc., graphics
utilities toolkit.  Since Mesa (a graphics library) is very similar to
OpenGL, OpenGL programs will work with Mesa.

GLUT is well-suited for learning OpenGL and developing simple OpenGL
applications, but it is not a full-featured toolkit.  If you're interested
in creating large applications requiring sophisticated user interfaces,
you're probably better off using a native window system toolkit like Motif.
If you're interested in learning how to create OpenGL applications or in
creating small and simple OpenGL applications, you should install mesa-glut
along with mesa and possibly mesa-demos.  You may also want to install
mesa-devel, which provides a development environment for Mesa programming.


%package glut-devel
Summary: The GLUT (OpenGL Utility Toolkit) development environment for Mesa/OpenGL 3-D graphics.
Group: Developments/Libraries
Conflicts: glut-devel

%description glut-devel
Mesa-glut-devel contains the static version of the GLUT (OpenGL
Utility Toolkit) library and includes files needed for GLUT development.
OpenGL is a Silicon Graphics, Inc., graphics utilities toolkit.  The Mesa
3-D graphics library is a freeware equivalent to OpenGL.  Both OpenGL and
Mesa work with GLUT.

You should install mesa-glut-devel if you want to develop GLUT programs. If
you install mesa-glut-devel, you also need to install mesa, mesa-glut, and
possibly mesa-demos.  If you also want to develop Mesa applications, you
need to also install mesa-devel.

%package demos
Summary: You guessed it, demonstration programs for the Mesa 3-D graphics library.
Group: Developments/Libraries

%description demos
Mesa-demos contains demonstration programs for the Mesa 3-D
graphics library (a graphics toolkit very similar to Silicon Graphics'
OpenGL).  You don't need to install mesa-demos if you're upgrading from a
previous version of Mesa, or if you just aren't interested in the
demonstrations.  If you're new to Mesa, however, you should install them
along with the mesa package.

%prep
%setup -q -n Mesa-3.0 -b 1
%patch -p1 -b .rh

%build

%ifarch alpha
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" LIBS_ONLY=YES linux-alpha
make clean
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" linux-alpha-elf
%endif

%ifarch ppc
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" linux-ppc
%endif

%ifarch i386
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" LIBS_ONLY=YES linux-386
make clean
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" linux-386-elf
%endif

%ifarch sparc
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" LIBS_ONLY=YES linux-sparc
make clean
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" linux-sparc-elf
%endif

cd widgets-mesa
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make 


%install
[ -n "$RPM_BUILD_ROOT" -a -n "`echo $RPM_BUILD_ROOT|sed -e 's#/##g'`" ] || exit 1
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{lib/Mesa-3.0,include,man/man3}

cp -dpr lib include $RPM_BUILD_ROOT/usr
cp -dpr book demos xdemos samples util $RPM_BUILD_ROOT/usr/lib/Mesa-3.0
cp Make-config $RPM_BUILD_ROOT/usr/lib/Mesa-3.0

(
cd widgets-mesa
make prefix=$RPM_BUILD_ROOT/usr install
)

%clean
[ -n "$RPM_BUILD_ROOT" -a -n "`echo $RPM_BUILD_ROOT|sed -e 's#/##g'`" ] || exit 1
rm -fr $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%attr(-, root, root) %doc FUTURE IAFA-PACKAGE LICENSE README* RELNOTES VERSIONS

%ifnarch ppc
%attr(755, root, bin) /usr/lib/libMesa*.so.*
%else
%attr(644, root, bin) /usr/lib/libMesa*.a
%endif

%files glut
%defattr(-,root,root)
%ifnarch ppc
%attr(755, root, bin) /usr/lib/libglut.so.*
%else
%attr(644, root, bin) /usr/lib/libglut.a
%endif

%files glut-devel
%defattr(-,root,root)
%ifnarch ppc
%attr(755, root, bin) /usr/lib/libglut.so
%attr(644, root, bin) /usr/lib/libglut.a
%endif
%attr(444, root, root) /usr/include/GL/glut.h

%files devel
%defattr(-,root,root)
%ifnarch ppc
%attr(755, root, bin) /usr/lib/libMesa*.so
%attr(644, root, bin) /usr/lib/libMesa*.a
%endif

%attr(755, root, root) %dir /usr/lib/Mesa-3.0
%attr(644, root, root)      /usr/lib/Mesa-3.0/Make-config
%attr(755, root, root) %dir /usr/lib/Mesa-3.0/util
%attr(-, root, root)        /usr/lib/Mesa-3.0/util/*

%attr(755, root, root) %dir /usr/include/GL
%attr(444, root, root) /usr/include/GL/GLw*.h
%attr(444, root, root) /usr/include/GL/Mesa*.h
%attr(444, root, root) /usr/include/GL/gl.h
%attr(444, root, root) /usr/include/GL/gl_mangle.h
%attr(444, root, root) /usr/include/GL/glu.h
%attr(444, root, root) /usr/include/GL/glu_mangle.h
%attr(444, root, root) /usr/include/GL/glx.h
%attr(444, root, root) /usr/include/GL/glx_mangle.h
%attr(444, root, root) /usr/include/GL/*mesa.h
%attr(444, root, man)  /usr/man/man?/*

%files demos
%defattr(-,root,root)
%attr(755, root, root) %dir /usr/lib/Mesa-3.0/book
%attr(755, root, root) %dir /usr/lib/Mesa-3.0/demos
%attr(755, root, root) %dir /usr/lib/Mesa-3.0/samples
%attr(755, root, root) %dir /usr/lib/Mesa-3.0/xdemos

%attr(-, root, root) /usr/lib/Mesa-3.0/book/*
%attr(-, root, root) /usr/lib/Mesa-3.0/demos/*
%attr(-, root, root) /usr/lib/Mesa-3.0/samples/*
%attr(-, root, root) /usr/lib/Mesa-3.0/xdemos/*

%changelog
* Sat Oct 24 1998 Jeff Johnson <jbj@redhat.com>
- fix typo in linux-alpha.
- new description/summary text.

* Wed Oct 06 1998 Michael Maher <mike@redhat.com>
- updated package
- cleaned up spec file

* Wed May 21 1998 Michael Maher <mike@redhat.com>
- merged redhat and Christian 'Dr. Disk' Hechelmann spec files

* Thu Feb 12 1998 Christian 'Dr. Disk' Hechelmann <drdisk@ds9.au.s.shuttle.de>
- updated to final version 2.6

* Thu Feb 05 1998 Christian 'Dr. Disk' Hechelmann <drdisk@ds9.au.s.shuttle.de>
- Fixed thinko in misc patch
- build against glibc

* Sat Jan 31 1998 Christian 'Dr. Disk' Hechelmann <drdisk@ds9.au.s.shuttle.de>
- updated to version 2.6beta5
- added widget-mesa to the things to be build.

* Mon Jan 26 1998 Christian 'Dr. Disk' Hechelmann <drdisk@ds9.au.s.shuttle.de>
- updated to version 2.6beta4

* Sun Dec 14 1997 Christian 'Dr. Disk' Hechelmann <drdisk@ds9.au.s.shuttle.de>
- updated to version 2.6beta1

* Sat Dec 13 1997 Christian 'Dr. Disk' Hechelmann <drdisk@ds9.au.s.shuttle.de>
- Moved GLUT into a separate subpackage and added an Obsoletes tag to this
  subpackage
- Moved lib*.so to the devel package, they are only needed for development,
  not for a runtime environment.

* Sat Nov 29 1997 Christian 'Dr. Disk' Hechelmann <drdisk@ds9.au.s.shuttle.de>
- added patches from ftp://iris.ssec.wisc.edu/pub/Mesa/patches_to_2.5
- BuildRoot'ed
- Prefix'ed
- added static versions of the libraries. (PPC version seems not to have
  support for shared versions of the library)
- moved static versions of the library and the includes to the new subpackage
  'devel'
- targets other than linux-x86 still untested.
- added Conflitcs tag
- added %postun
- added patch for RPM_OPT_FLAGS support

* Fri Nov 21 1997 Karsten Weiss <karsten@addx.au.s.shuttle.de>
- Upgraded to Mesa 2.5
- Multiarch destinations (untested).
- Included GLUT.
- Removed some of the READMEs for other platforms from the binary RPM.

